commit:     8bec0995e31b2434b961c806eb5f364a52182035
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 25 14:53:50 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Feb 25 15:02:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8bec0995

sci-biology/prosite: Version bump to 2017.02

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 sci-biology/prosite/Manifest               |  1 +
 sci-biology/prosite/prosite-2017.02.ebuild | 43 ++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/sci-biology/prosite/Manifest b/sci-biology/prosite/Manifest
index 1641866b1c..05a77235c7 100644
--- a/sci-biology/prosite/Manifest
+++ b/sci-biology/prosite/Manifest
@@ -2,3 +2,4 @@ DIST prosite-19.36.tar.bz2 4462981 SHA256 
6f923d4794f50c8e68d030d01cb6675579007c
 DIST prosite-20.36.tar.bz2 5953220 SHA256 
05593ff424d4145e19a7f394dab5a64fe0c5c6a640091fe03451f52bd31bfd25 SHA512 
04efc70c4a8e1466fe0f3172d8550b08ee693caf82320998aee9e5b39b23573eb827c7d95e46c3d9afd4654fbeb3a0278f4159d359072641c807652748233264
 WHIRLPOOL 
05c712bfe16c534344072e4dc94bac89df4fe117b789512878c98b7a3811d0679a10f9e2d1176cb3e33af5c73e71a0c0473e0608cd41a71ee0fb62469906a8da
 DIST prosite-20.52.tar.bz2 7038156 SHA256 
89e5fc11e2ed18b1f16cc78e5271cccf6a5ea28a64fdcd7e99a770dfebb1968d SHA512 
d84d0a05080db2e7a99d33f0323b602c953c7a01cb76c4722c52072ad8bd8777843db2d7607b603d64e035b600f1886ab1f73f9ca2f47a2d3accfbbdee66054d
 WHIRLPOOL 
6239cd585c6335721bc3295782139d49475390edac1aa38dcddb3a60cc202e5e5c63db724e4d05b018ac593855642bf9ce7aeb4a77fb5c25f0a03bbd4e1d7f44
 DIST prosite-20.72.tar.bz2 7521700 SHA256 
93b8664adecce63b14a96b6b9fbd970bcc2852a83413fd9b873df84dcfe07d12 SHA512 
bf7805bd017e24f3a0007530a55f5129fca656abc8a592db1176548ebe4c22fe578129b27f9d1634f1c0331108ba704e3d83e78808622b716061bd2994471728
 WHIRLPOOL 
2cd3038b6cb4ca9005c8b519b38d06f0a06a66a145f3138ef94cd9c3cf3cf1971d94225f7b537038672ec71692e5e12c630efd2035091c8ecf18a2331030301b
+DIST prosite2017_02.tar.bz2 9234253 SHA256 
ad278940c7a92ca6afb0fd8202e904c81823f8cbffa3f34319c3984ad1428216 SHA512 
2b8a26a44d62d17108afc43a3ab65d024f76e41ea9c9f477024700621323d2606fcaec54411e1d3f4ddad40717ad9ce3a1989ffd92220e0d3c2acf70400d2e43
 WHIRLPOOL 
ecde335cfb4b13359318218ac0ae4273c2e7653a79efd7bf08c58ff5b4eaa6223e3189df9909d60f5357d1c2b3ca2cdc7fbe7c5c9b0e9ecdfb961b7207076c8c

diff --git a/sci-biology/prosite/prosite-2017.02.ebuild 
b/sci-biology/prosite/prosite-2017.02.ebuild
new file mode 100644
index 0000000000..d2a5afa51a
--- /dev/null
+++ b/sci-biology/prosite/prosite-2017.02.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="A protein families and domains database"
+HOMEPAGE="http://prosite.expasy.org/";
+SRC_URI="ftp://ftp.expasy.org/databases/prosite/old_releases/prosite${PV//./_}.tar.bz2";
+
+LICENSE="swiss-prot"
+SLOT="0"
+# Minimal build keeps only the indexed files (if applicable).
+# The non-indexed database is not installed.
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="emboss minimal"
+
+DEPEND="emboss? ( sci-biology/emboss )"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}
+
+src_compile() {
+       if use emboss; then
+               mkdir PROSITE || die
+               einfo
+               einfo "Indexing PROSITE for usage with EMBOSS"
+               EMBOSS_DATA="." prosextract -auto -prositedir "${S}" || die 
"Indexing PROSITE failed"
+               einfo
+       fi
+}
+
+src_install() {
+       if ! use minimal; then
+               insinto /usr/share/${PN}
+               doins *.{doc,dat}
+       fi
+
+       if use emboss; then
+               insinto /usr/share/EMBOSS/data/PROSITE
+               doins -r PROSITE/.
+       fi
+}

Reply via email to